<template>
    <select v-model="selected" @change="changed">
        <option selected>Selecione um País</option>
        <option :value="country.id" v-for="country in countries" :key="country.id">
            {{ country.name }}
        </option>
    </select>
</template>

<script>
export default {
    data(){
        return {
            countries: [],
            selected: "Selecione um País"
        }
    },
    methods: {
        async getCountries(){
            let response = await this.$axios.$get('/api/countries')

            return this.countries = response.data
        },

        changed($event){
            this.$emit('input', $event.target.value)
        }
    },

    created() {
        this.getCountries()
    }
}
</script>
